![PC Info](assets/logos/biglogo.png)
=======

A customer-facing web tool to view detailed information about a computer.
Designed for use by computer repair shops and electronics refurbishers.

PC Info is similar to Dell's "service tag" system, where simply typing a
service tag into Dell's website allows viewing various pieces of information
about a machine.

This application works by providing a read-only web UI to the customer, and a
JSON API to authorized applications (using an API key).

Features
--------

* Flexible: Attach any number of components and history entries to a
machine, and add free-form notes to each

* Simple: Customers simply type in a unique ID number (usually on a sticker)
to instantly view all information

* Secure: API keys can be assigned roles to restrict usage

* Custom Branding: Supply your own logo and favicon URLs with a config setting


Setup
-----

1. Upload code
2. Run `composer install` to get dependencies
3. Create database using schema
4. Copy `settings.template.php` to `settings.php` and fill in with correct
  values
5. Add API key to the database, and assign permissions (PHPMyAdmin recommended)
6. Download client app ([repository](https://source.netsyms.com/Netsyms/PCInfoClient))
  and install it
7. Follow instructions in client app to finish setup